### Method

# Gtk IconThemehas_icon

#### Declaration [src]

    gboolean
    gtk_icon_theme_has_icon (
      GtkIconTheme* self,
      const char* icon_name
    )

#### Description [src]

Checks whether an icon theme includes an icon for a particular name.

#### Parameters

`icon_name`

  Type: `const char*`

  The name of an icon.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `self` includes an icon for `icon_name`.